/*
 * generated by Xtext 2.27.0
 */
package org.eclipse.papyrus.robotics.assertions.languages.stl.ui;

import com.google.inject.Injector;
import org.eclipse.papyrus.robotics.assertions.languages.stl.ui.internal.StlActivator;
import org.eclipse.xtext.ui.guice.AbstractGuiceAwareExecutableExtensionFactory;
import org.osgi.framework.Bundle;
import org.osgi.framework.FrameworkUtil;

/**
 * This class was generated. Customizations should only happen in a newly
 * introduced subclass. 
 */
public class STLExecutableExtensionFactory extends AbstractGuiceAwareExecutableExtensionFactory {

	@Override
	protected Bundle getBundle() {
		return FrameworkUtil.getBundle(StlActivator.class);
	}
	
	@Override
	protected Injector getInjector() {
		StlActivator activator = StlActivator.getInstance();
		return activator != null ? activator.getInjector(StlActivator.ORG_ECLIPSE_PAPYRUS_ROBOTICS_ASSERTIONS_LANGUAGES_STL_STL) : null;
	}

}
